Public Class CPoint

    Private mX, mY As Integer

    Public Sub New()

        X = 0
        Y = 0
    End Sub


    Public Sub New(ByVal xValue As Integer, ByVal yValue As Integer)

        X = xValue
        Y = yValue
    End Sub


    Public Property X() As Integer

        Get
            Return mX
        End Get

        Set(ByVal xValue As Integer)
            mX = xValue
        End Set

    End Property


    Public Property Y() As Integer

        Get
            Return mY
        End Get

        Set(ByVal yValue As Integer)
            mY = yValue
        End Set

    End Property


    Public Overrides Function ToString() As String
        Return "[" & mX & ", " & mY & "]"
    End Function

End Class



